none
SQL Server 2008 Installation Problems - Any Thoughts on Where to Go From Here? RRS feed

  • Question

  •  On a Windows 2003 R2 x64 server, I have been unable to install SQL Server 2008 Enterprise Edition x64. When running setup.exe, I almost instantaneously receive the following Microsoft SQL Server Setup error:

    "Microsoft .NET Framework 3.5 installation has failed.

    SQL Server 2008 Setup requires .NET Framework to be installed."

    What does not make sense is that I successfully downloaded .NET Framework 3.5 from the Microsoft download site (published 8/11/2008) prior to the SQL Server 2008 installation attempt.

    http://www.microsoft.com/downloads/details.aspx?familyid=ab99342f-5d1a-413d-8319-81da479ab0d7&displaylang=en


    I do need to note that a few nights ago, prior to downloading the framework (3.5 SP1), I ran the SQL Server 2008 setup executable. I was prompted that in order to install SQL Server 2008, the setup program needed to first install .NET 3.5 SP1 and Windows Installer 4.5. I let the .NET 3.5 SP1 install run for about 1.5 to 2 hours and cancelled (now I wish I had just let it go).

    It is my understanding (correct me if I am wrong) that the SQL Server 2008 setup program initially checks for any pre-RTM versions of .NET 3.5 SP1 Framework. If one is found, it is then supposed to guide the user through both the installation of the .NET 3.5 SP1 Framework and Windows Installer 4.5.

    I have removed .NET 3.5 SP1 Framework (Add/Remove programs) and rebooted. However, upon running the SQL Server 2008 setup.exe again, I receive the same error message.

    "Microsoft .NET Framework 3.5 installation has failed.

    SQL Server 2008 Setup requires .NET Framework to be installed."

    It seems like Microsoft is checking data in the registry and that the entire 8/11/2008 version of .NET 3.5 SP1 Framework has not truly been removed from the registry. If it were, I should be receiving the classic SQL Server 2008 installation prompt, informing me that I need .NET Framework 3.5 SP1 installed before installing SQL Server 2008. Some people have complained about receiving this prompt when they already have a .NET 3.5 version installed on their machine. I would really like to get that prompt to appear again so that I can install the RTM version of .NET Framework 3.5 SP1 (through the SQL Server 2008 setup program) and then allow the setup program to install SQL Server 2008.

    Does someone know how I could best resolve this issue?

    Thanks,
    Allen
    Thursday, October 9, 2008 3:17 PM

Answers

  • I am running SQL Server 2008 developer edition which is the same as the Enterprise edition, I don't think .NET 3.5 SP1 is required however you need to make sure your Win2003 is at least SP2 before you install SQL Server 2008.  You also need to make sure IIS6 is installed with all the features needed to run Asp.net enabled because SQL Server Reporting Services uses IIS6 to render the reports.  Check below for more about .NET 3.5 and related downloads.

    http://blogs.msdn.com/astebner/archive/2008/08/11/8849574.aspx




    Asp.net MVP, MCPD Web C#, MCTS TFS, MCITP BI and DBA
    Saturday, October 11, 2008 5:15 PM
    Moderator

All replies

  • I am running SQL Server 2008 developer edition which is the same as the Enterprise edition, I don't think .NET 3.5 SP1 is required however you need to make sure your Win2003 is at least SP2 before you install SQL Server 2008.  You also need to make sure IIS6 is installed with all the features needed to run Asp.net enabled because SQL Server Reporting Services uses IIS6 to render the reports.  Check below for more about .NET 3.5 and related downloads.

    http://blogs.msdn.com/astebner/archive/2008/08/11/8849574.aspx




    Asp.net MVP, MCPD Web C#, MCTS TFS, MCITP BI and DBA
    Saturday, October 11, 2008 5:15 PM
    Moderator
  • It worked for me. after installing .net3.5 sp1 i was able to install sql 2008 RTM on windows 2008.

    Thanks a lot Lingzhi and caddre

    Tuesday, July 27, 2010 12:49 PM